Messaging
cancel
Showing results for 
Search instead for 
Did you mean: 

Sendmail Version 8.8.6 on HP-UX 9.05

Scott Schaefer
Occasional Visitor

Sendmail Version 8.8.6 on HP-UX 9.05

I recently downloaded the 8.8.6 version of sendmail for
HP-UX 9.05 from:

http://www.software.hp.com/products/Sendmail9x/index.html

I had installed patch PHNE_10116 before I attempted to install
the upgrade. Now when I try to run sendmail, it dumps core and
issues the message:

/lib/dld.sl: Unresolved symbol: __nsw_getconfig (code) from /usr/lib/sendmail
Abort

What am I missing? Is there another patch that has the shared
library for the code? If so, which one? Any help would be greatly
appreciated!

Scott Schaefer
5 REPLIES
Cheryl Griffin
Honored Contributor

Re: Sendmail Version 8.8.6 on HP-UX 9.05

The last documented version of sendmail which is compatible for 9.05 is version 5.65.

The error message indicates that the sendmail executable is looking for the libary which contains the symbol __nsw_getconfig.

The library will never exist on 9.05 since 9.05 is no longer patched and is obselete.

Your choices are to upgrade the operating system to 10.x or 11.x OR backoff the 8.86 version of sendmail and use 5.65.
"Downtime is a Crime."

Re: Sendmail Version 8.8.6 on HP-UX 9.05

I am assuming that you have read the documentation regarding the upgrade on the web page.
One thing you may want to do is to also install the libc patch as this may sort this one out.
PHCO_13095 is the latest release for the libc.

My house is the bank's, my money the wife's, But my opinions belong to me, not HP!
Cheryl Griffin
Honored Contributor

Re: Sendmail Version 8.8.6 on HP-UX 9.05

Scott,
I have found that 8.86 was released on 9.05 but the problem still remains that 9.05 has reached it's end of life and a patch which contains the needed symbol may not be available.

I will attempt to find the needed library to see if that will help.
"Downtime is a Crime."
Cheryl Griffin
Honored Contributor

Re: Sendmail Version 8.8.6 on HP-UX 9.05

Melvyn is correct. Patch PHCO_13095 will correct this issue.

PHCO_13095: s700 9.X libc cumulative patch


"Downtime is a Crime."
Ralf Hildebrandt
Valued Contributor

Re: Sendmail Version 8.8.6 on HP-UX 9.05

Although HP only provides patches up to 8.8.6, you can still compile e.g. at least 8.9.3 out of the box (www.sendmail.org).
Postfix (www.postfix.org) is also known to work on 9.x without problems (an HP itself uses it on their machines -- not for the customers, though)
Postfix/BIND/Security/IDS/Scanner, you name it...